starcor.page("picture_text_page", ["appCache", "utils", "log", "scroll"], function (appCache, utils, log, scroll) {
    function forBot(id) {
        clearTimeout(botTimer), document.getElementById(id) ? setTimeout(function () {
            logicalProcess.initScroll()
        }, 500) : setTimeout(function () {
            forBot(id)
        }, 100)
    }

    function bindFocusEvent() {
        fm.addArea("ptp_info_scroll", {row: 1, col: 1, total: 1, type: 1}).on("focusout", function (ele, idx, key) {
            "down" !== key && "up" !== key || logicalProcess.setScroll("down" === key)
        })
    }

    var page = this, fm = (page.app, this.fm), $ = page.$.bind(page), isDebug = config.isDebug,
        CONTENT_DOM_HEIGHT = 540, pageParams = {scrollDom: null, contentDom: null, pageTotal: 0, pageIndex: 0},
        pageDataObj = {
            getContentInfo: function () {
                return isDebug ? void pageRender.renderInfo(pictrue_data) : void page.getData({
                    url: appCache.getInterfaceUrl("q309_a_1"),
                    data: {id: pageParams.contentId, evs_token: appCache.getUserInfo("webToken")},
                    etcData: {}
                }, function (data, reqInfo) {
                    "0" == data.code ? pageRender.renderInfo(data) : pageRender.renderError()
                }, function (data) {
                    pageRender.renderError()
                })
            }
        }, pageRender = {
            renderInfo: function (data) {
                try {
                    var _data = data.data.properties || {}, titleName = _data.title || "";
                    if (!titleName) return void pageRender.renderError();
                    $("#ptp_page_title").html(titleName).show();
                    var bkgObj =_data.background || {};
                    var background = bkgObj.url || "images/bg.jpg";
                    document.getElementById("picture_text_page").style.background = "url('" + background +"') no-repeat"
                    var descHtml = _data.description || "";
                    if (descHtml) {
                        var newDiv = document.createElement("div");
                        newDiv.id = "ptp_content", newDiv.className = "ptp-info-content", newDiv.innerHTML = descHtml, document.getElementById("ptp_info_warp").appendChild(newDiv), forBot("ptp_content"), $("#ptp_info_warp").show()
                    }
                } catch (e) {
                    pageRender.renderError()
                }
            }, renderError: function () {
                $("#ptp_page_title").hide(), $("#ptp_info_warp").hide(), $("#ptp_error_warp").show()
            }
        }, logicalProcess = {
            initScroll: function () {
                var contentDom = $("#ptp_content")[0], _height = contentDom.offsetHeight - 0;
                if (pageParams.contentDom = contentDom, _height > CONTENT_DOM_HEIGHT) {
                    var $scrollDom = $("#ptp_info_scroll");
                    scroll.init({
                        scrollDom: $scrollDom[0],
                        contentDom: contentDom,
                        warpHeight: CONTENT_DOM_HEIGHT
                    }), $scrollDom.show(), bindFocusEvent(), fm.setFocus("ptp_info_scroll", 0)
                }
            }, setScroll: function (isDown) {
                return void scroll.doScroll(isDown ? 1 : -1)
            }
        }, botTimer = null;
    return page.init = function (data) {
        isDebug || data.contentId ? (pageParams.contentId = data.contentId || "7b46981314cd4dfd975963578595caad", pageDataObj.getContentInfo()) : pageRender.renderError()
    }, page.onKeyDown = function (e) {
        switch (e.keyName) {
            case"up":
                break;
            case"down":
                break;
            case"left":
                break;
            case"right":
                break;
            case"enter":
        }
    }, page
});