starcor.page("detail_page", ["appCache", "utils", "log", "Webview"], function (appCache, utils, log, Webview) {
    function bindFocusEvent() {
        fm.addArea("dp_detail_info_btn", {row: 1, col: 1, total: 1, type: 1}).on("focusout", function (ele, idx, key) {
            "down" === key && fm.setFocus("dp_achievement_list")
        }).on("click", function (ele, idx, key) {
            goPlay()
        }), fm.addArea("dp_achievement_list", {
            row: 1,
            col: 2,
            total: 2,
            type: 1
        }).on("focusout", function (ele, idx, key) {
            "up" === key ? 0 == pageParams.renderIndex ? fm.setFocus("dp_detail_info_btn") : (pageParams.renderIndex--, pageRender.renderList()) : "down" === key && (pageParams.renderIndex + 1) * RENDER_COL_SIZE < achievementData.length && (pageParams.renderIndex++, pageRender.renderList(function (len) {
                fm.setFocus("dp_achievement_list")
            }))
        }).on("click", function (ele, idx, key) {
            var _id = $(ele).attr("nns_id");
            goPage({contentId: _id, action: "m_open_picture_text_page"}, "dp_achievement_list", idx)
        })
    }

    function goPage(data, focusArea, idx) {
        if (data) {
            var pageRobj = {fArea: focusArea, fIdx: idx, renderIndex: pageParams.renderIndex},
                pageName = pageAction.getPageName(data);
            pageName ? page.openPage(pageName, data, pageRobj) : log("页面打开错误，无匹配的打开页面")
        }
    }

    function goPlay() {
        pageParams.videoId && Webview.exec("playVideo", {mediaId: pageParams.videoId})
    }

    function loadImage(dom) {
        $(".load-img", dom[0]).each(function () {
            var _this = $(this), url = _this.attr("data-src");
            if (url && "undefined" != url) {
                var img_src = new Image;
                img_src.src = url, img_src.onload = function () {
                    _this[0].src = url
                }
            }
        })
    }

    var page = this, fm = (page.app, this.fm), $ = page.$.bind(page), RENDER_PAGE_SIZE = 4, RENDER_COL_SIZE = 2,
        idDebug = config.isDebug, pageParams = {renderIndex: 0}, defaultImage = config.defaultPoster,
        achievementData = [], defaultFocus = {fArea: "dp_detail_info_btn", fIdx: 0, renderIndex: 0}, pageAction = null,
        pageDataObj = {
            getContentDetail: function (callback) {
                return idDebug ? (logicalProcess.initData(bangyang_data), void callback()) : void page.getData({
                    url: appCache.getInterfaceUrl("q309_a_1"),
                    data: {id: pageParams.contentId, evs_token: appCache.getUserInfo("webToken")},
                    etcData: {}
                }, function (data) {
                    "0" == data.code ? (logicalProcess.initData(data), callback(data)) : pageRender.renderError()
                }, function (data) {
                    pageRender.renderError()
                })
            }, pageDataInit: function (fData, callback) {
                pageDataObj.getContentDetail(callback)
            }
        }, pageRender = {
            renderPage: function (data) {
                pageDataObj.$content = $("#dp_achievement_list"), pageRender.renderDetailInfo(data), pageRender.renderList(), $("#dp_list_content").show()
            }, renderDetailInfo: function (data) {
                var pageTitle = data.name || "";
                $("#dp_page_title").html(pageParams.categoryName + "-" + pageTitle).show();
                var imgUrl = (data.horizontal_poster || {}).url || "", $img = $("#dp_detail_info_img");
                $img.attr("src", defaultImage), imgUrl && ($img.attr("data-src", imgUrl), loadImage($("#dp_detail_info_btn"))), $("#dp_detail_info_desc").html(data.description || "")
            }, renderList: function (callback) {
                var star = pageParams.renderIndex * RENDER_COL_SIZE,
                    newData = achievementData.slice(star, star + RENDER_PAGE_SIZE);
                $(".dp-achievement-list-item").hide();
                var len = newData.length;
                if (0 !== len) {
                    for (var i = 0; i < len; i++) {
                        var __data = newData[i], $dom = $("#dp_achievement_list__" + i),
                            $img = $dom.find(".dp-ach-item-img"), __poster = __data.poster;
                        $dom.attr("nns_id", __data.id), $img.attr("src", defaultImage), __poster && $img.attr("data-src", __poster), $dom.find(".dp-ach-item-main-title").html(__data.title), $dom.find(".dp-ach-item-main-mess").html(__data.summary), $dom.show()
                    }
                    loadImage($img, pageDataObj.$content)
                }
                var __len = Math.min(RENDER_COL_SIZE, len);
                fm.updateArea("dp_achievement_list", {
                    row: 1,
                    col: __len,
                    total: __len,
                    type: 1
                }), utils.isFunction(callback) && callback(__len - 1)
            }, renderError: function () {
                $("#dp_page_title").hide(), $("#dp_list_content").hide(), $("#dp_error_warp").show()
            }
        }, logicalProcess = {
            initData: function (data) {
                try {
                    var _propertiesData = data.data.properties || {};
                    pageParams.videoId = (_propertiesData.video || {}).id || "", this.setListData(_propertiesData.achievement || ""), pageRender.renderPage(_propertiesData)
                } catch (e) {
                    pageRender.renderError(), log("==logicalProcess.initData " + e.message)
                }
            }, setListData: function (data) {
                if (data) try {
                    for (var i = 0, len = data.length; i < len; i++) {
                        var __data = data[i], __properties = __data.properties || {};
                        achievementData.push({
                            id: __data.id,
                            poster: (__properties.poster || {}).url || "",
                            title: __properties.title || "",
                            summary: __properties.desc || ""
                        })
                    }
                } catch (e) {
                    log("==logicalProcess.setListData " + e.message)
                }
            }
        };
    return page.init = function (data) {
        pageAction = starcor("pageAction");
        var fData = data.rdata || defaultFocus;
        pageParams.contentId = data.contentId, pageParams.categoryName = decodeURIComponent(data.categoryName), pageParams.renderIndex = fData.renderIndex, bindFocusEvent(), pageDataObj.pageDataInit(fData, function () {
            fm.setFocus(fData.fArea, fData.fIdx)
        })
    }, page.onKeyDown = function (e) {
        switch (e.keyName) {
            case"up":
                break;
            case"down":
                break;
            case"left":
                break;
            case"right":
                break;
            case"enter":
        }
    }, page.onCancel = function () {
    }, page
});