starcor.page("hotel_introduction_page", ["appCache", "utils", "log"], function (appCache, utils, log) {
    function bindFocusEvent() {
        fm.addArea("hip_menu_list", {
            row: PAGE_RENDER_LEN,
            col: 1,
            total: PAGE_RENDER_LEN,
            type: 1
        }).on("focus", function (ele, idx, key) {
            pageRender.renderImage(idx)
        }).on("focusout", function (ele, idx, key) {
            var __pageParams = pageParams;
            if ("down" === key) {
                var renderEnd = __pageParams.renderIndex + PAGE_RENDER_LEN;
                renderEnd < __pageParams.totalRows && (renderEnd < listData.length ? commonDown() : __pageParams.reqTimes > 0 && getNextPageTimeOut(function (isRender) {
                    (isRender || renderEnd < listData.length) && commonDown()
                }))
            } else "right" === key ? pageRender.renderImageIdx(1) : "up" === key ? pageParams.renderIndex > 0 && (pageParams.renderIndex--, pageRender.renderList(function () {
                fm.setFocus("hip_menu_list")
            })) : pageRender.renderImageIdx(-1)
        }).on("click", function (ele, idx, key) {
        })
    }

    function commonDown() {
        var __pageParams = pageParams;
        __pageParams.renderIndex++, pageRender.renderList(function () {
            fm.setFocus("hip_menu_list")
        })
    }

    function getNextPageTimeOut(callback) {
        clearTimeout(nextTimer), nextTimer = setTimeout(function () {
            0 == pageParams.reqTimes ? callback(!1) : pageParams.renderIndex + PAGE_RENDER_LEN < listData.length ? callback(!0) : getNextPageTimeOut(callback)
        }, 20)
    }

    function loadImage(dom) {
        $(".load-img", dom[0]).each(function () {
            var _this = $(this), url = _this.attr("data-src");
            if (url && "undefined" != url) {
                var img_src = new Image;
                img_src.src = url, img_src.onload = function () {
                    _this[0].src = url
                }
            }
        })
    }

    var page = this, fm = (page.app, this.fm), $ = page.$.bind(page), PAGE_SIZE = 8, PAGE_COL_SIZE = 1,
        PAGE_RENDER_LEN = 5, Image_HEIGHT = 720, isDebug = config.isDebug,
        pageParams = {pageIndex: 1, renderIndex: 0, reqTimes: 0, currentIdx: 0, imageIdx: 0, imageLen: 0},
        defaultImage = config.defaultPoster, listData = [],
        defaultFocus = {fArea: "hip_menu_list", fIdx: 0, renderIndex: 0}, pageAction = null, pageDataObj = {
            getCategoryData: function (callback) {
                return pageParams.reqTimes++, isDebug ? void setTimeout(function () {
                    pageParams.reqTimes--;
                    var _data = getList(pageParams.pageIndex, PAGE_SIZE);
                    logicalProcess.setListData(_data), callback(_data)
                }, 2e3) : void page.getData({
                    url: appCache.getInterfaceUrl("q310_b_1"),
                    data: {
                        evs_category_id: pageParams.categoryId,
                        evs_token: appCache.getUserInfo("webToken"),
                        evs_current_page: pageParams.pageIndex,
                        evs_page_size: PAGE_SIZE
                    },
                    etcData: {}
                }, function (data) {
                    pageParams.reqTimes--, logicalProcess.setListData(data), callback(data)
                }, function (data) {
                    pageRender.renderError()
                })
            }, getAllList: function () {
                pageParams.pageIndex < pageParams.totalIndex && (pageParams.pageIndex++, pageDataObj.getCategoryData(pageDataObj.getAllList))
            }, pageDataInit: function (fData, callback) {
                isDebug || pageParams.categoryId ? this.getCategoryData(function (data) {
                    callback(data), pageDataObj.getAllList()
                }) : pageRender.renderError()
            }
        }, pageRender = {
            renderPage: function (pageTitle) {
                pageParams.$content = $("#hip_img_list"), pageParams.$listItem = $(".hip-menu-list-item"), pageParams.$hipImgList = $("#hip_img_list"), pageParams.$hipIdxWarp = $("#hip_img_idx_warp"), pageParams.$imgCurrent = $("#hip_img_idx_current"), pageParams.$imgTotal = $("#hip_img_idx_total"), pageRender.renderTitle(pageTitle), pageRender.renderList(), $("#hip_content_warp").show()
            }, renderTitle: function (name) {
                $("#hip_title").html(name)
            }, renderList: function (callback) {
                var $listItem = pageParams.$listItem, star = pageParams.renderIndex * PAGE_COL_SIZE,
                    newData = listData.slice(star, star + PAGE_RENDER_LEN);
                $listItem.hide();
                var len = newData.length;
                if (0 == len) pageRender.renderError(); else for (var i = 0; i < len; i++) {
                    var __data = newData[i], $dom = $($listItem[i]);
                    $dom.html(__data.name), $dom.show()
                }
                var __len = Math.min(PAGE_RENDER_LEN, len);
                fm.updateArea("hip_menu_list", {
                    row: __len,
                    col: 1,
                    total: __len,
                    type: 1
                }), utils.isFunction(callback) && callback(__len - 1)
            }, renderImage: function (idx) {
                var __pageParams = pageParams;
                __pageParams.$hipImgList.hide(), __pageParams.$hipIdxWarp.hide();
                for (var posterArr = listData[idx + pageParams.renderIndex].poster, html = "", i = 0, len = posterArr.length; i < len; i++) {
                    var _url = posterArr[i].url || "";
                    html += '<img data-src="' + _url + '" class="hip-img-list-item load-img" src="' + defaultImage + '">'
                }
                pageParams.imageLen = len, __pageParams.$hipImgList.html(html), len > 0 && (loadImage(__pageParams.$hipImgList), len > 1 && (__pageParams.imageIdx = 0, this.renderImageIdx(0), __pageParams.$imgTotal.html(len), __pageParams.$hipIdxWarp.show())), __pageParams.$hipImgList.show()
            }, renderImageIdx: function (idx) {
                var __pageParams = pageParams, imgLen = __pageParams.imageLen;
                if (imgLen > 1) {
                    var nextIdx = __pageParams.imageIdx + idx;
                    nextIdx = nextIdx < 0 ? (nextIdx + imgLen) % imgLen : nextIdx % imgLen, imgLen > nextIdx && nextIdx > -1 && (imgLen > 1 && __pageParams.$imgCurrent.html(nextIdx + 1), __pageParams.imageIdx = nextIdx, __pageParams.$hipImgList[0].style.marginTop = -Image_HEIGHT * nextIdx + "px")
                }
            }, renderError: function () {
                $("#hip_content_warp").hide(), $("#hip_error_warp").show()
            }
        }, logicalProcess = {
            initData: function (data) {
                try {
                    var pageTitle = data.data.category.name || "", __contentList = data.data.content_list;
                    pageParams.totalIndex = __contentList.total_pages, pageParams.totalRows = __contentList.total_rows, pageRender.renderPage(pageTitle)
                } catch (e) {
                    pageRender.renderError(), log("==logicalProcess.initData " + e.message)
                }
            }, setListData: function (data) {
                if (data) try {
                    for (var __data = data.data.content_list.content || "", i = 0, len = __data.length; i < len; i++) listData.push({
                        id: __data[i].id,
                        name: __data[i].properties.title,
                        poster: __data[i].properties.posters || []
                    })
                } catch (e) {
                    log("==logicalProcess.setListData " + e.message)
                }
            }
        }, nextTimer = null;
    return page.init = function (data) {
        pageAction = starcor("pageAction");
        var fData = data.rdata || defaultFocus;
        pageParams.categoryId = data.categoryId, pageDataObj.pageDataInit(fData, function (_data) {
            bindFocusEvent(), logicalProcess.initData(_data), fm.setFocus(fData.fArea, fData.fIdx)
        })
    }, page.onKeyDown = function (e) {
        switch (e.keyName) {
            case"up":
                break;
            case"down":
                break;
            case"left":
                break;
            case"right":
                break;
            case"enter":
        }
    }, page.onCancel = function () {
    }, page
});